<div id="top-content" class="d-flex">
    <div id="inventoryAdd" class="d-flex justify-content-center align-items-center">
        <app-inventory-add></app-inventory-add>
    </div>
    <div id="inventoryEdition" *ngIf="inventoryService.selectedInventory" class="d-flex justify-content-center align-items-center">
        <app-inventory-edit [inventory]="inventoryService.selectedInventory"></app-inventory-edit>
    </div>
</div>

<div id="middle-content" class="pre-scrollable">
    <table-load [ngItems]="inventoryService.inventories">
        <table class="table" *ngIf="inventoryService.inventories">
            <thead>
            <tr>
                <th scope="col">#</th>
                <th scope="col">State</th>
                <th scope="col">Creation Date</th>
                <th scope="col">Close Date</th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let inventory of inventoryService.inventories; index as i"
                (click)="onSelect(i)"
                [class.table-primary]="inventory === inventoryService.selectedInventory">
                <td>{{inventory.id}}</td>
                <td>{{inventory.state}}</td>
                <td>{{inventory.creationDate | date : format}}</td>
                <td>{{inventory.closeDate | date : format}}</td>
            </tr>
            </tbody>
        </table>
    </table-load>
</div>